List internal notes

GET
/v1/conversations/{conversationId}/notes

Get all internal notes for a particular conversation by providing the conversation id.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

conversationId*integer
Formatint64

Response Body

List of internal notes for a conversation sorted from oldest to newest

application/json
  1. response
data?array<>
Example Request
curl -X GET 'https://dev.dixa.io/v1/conversations/{conversationId}/notes' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "3346b99c-8128-4276-ac40-5f30c959e5e7",
"authorId": "c68f42a5-1453-497a-940f-ff36ed4f1631",
"createdAt": "2021-01-20T09:00:00Z",
"csid": 7392,
"message": "A note to remember"
},
{
"id": "22b8e6b6-4576-4dc0-ab05-60f81e8b0708",
"authorId": "124d54bb-92d6-41c9-a675-788d6a8c821e",
"createdAt": "2021-01-22T12:00:00Z",
"csid": 7392,
"message": "A note to forget"
}
]
}